#version 430 core
layout (location = 0) in vec3 pos;
layout (location = 1) in vec3 texPos;
layout (std140, binding = 0) uniform TheMat { mat4 theMat; } ;
out vec3 vTexPos;
void main()
{
  gl_Position = theMat * vec4(pos,1.0) ;
  vTexPos = texPos;
}
